package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentSortByPayerTest {
    Check ch = new Check(12345, "Sansa Stark", "1234567", "987654321");
    PayPal pp = new PayPal(12345, "Catelyn Stark", "ladystark@winterfell.com");
    CreditCard cc = new CreditCard(12345, "Robb Stark", "4444444444", 12, 2020);
    Check ch2 = new Check(9034, "Arya Stark", "1234569", "987654444");
    PayPal pp2 = new PayPal(12345, "Sansa Stark", "ladystarkthesecond@winterfell.com");

    PaymentSortByPayer psbp = new PaymentSortByPayer();


    @Test
    public void paymentSortByPayerTest1() {
        int expected = 0;
        int actual = psbp.compare(ch, pp2);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void paymentSortByPayerTest2() {
        int actual = psbp.compare(ch, pp);
        Assert.assertTrue(actual > 0);
    }
    @Test
    public void paymentSortByPayerTest3() {
        int actual = psbp.compare(ch2, cc);
        Assert.assertTrue(actual < 0);
    }
}
