package com.zipcoder.payment;

public class Check implements Payment{
    long id;
    String payerName;
    String routingNumber;
    String accountNumber;

    public Check(long id, String payerName, String routingNumber, String accountNumber) {
        this.id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    public long getId(){
        return id;
    }
    public String getPayerName(){
        return payerName;
    }
    public String getShortDescription(){
        return String.format("Check %s ***%s", payerName, accountNumber.substring(accountNumber.length()-4, accountNumber.length()));
    }
    public String getAccountNumber() {
        return accountNumber;
    }
    public String getRoutingNumber() {
        return routingNumber;
    }
    public int compareTo(Payment p) {
        return this.getShortDescription().compareTo(p.getShortDescription());
    }

}
